Subject: bug#76891: GNOME session fails to start with uk_UA.utf8 system locale

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 26 Apr 2025 23:23:50 +0900

Hi,

[...]

> Hi Roman,
>
> I was able to reproduce this in a VM using GDM, even switching to tty2
> and trying to login as root doesn’t work.
>
> I thought this might be an issue with the bash startup but even
> switching the login shell to tcsh I can’t login.
>
> Even connecting or starting a command through ssh doesn’t work! 
>
> Adding and removing the gdm-service-type seems to trigger it, so here is
> a temporary fix you can apply (adapt to your config):
>
>   (services
>    (append (list
> 	    (service sddm-service-type))
> 	   (modify-services %desktop-services
> 	     (delete gdm-service-type))))
>
> We still have to wonder why and how gdm-service-type soft locks the
> system though…

Does our GDM have access to the locales?  Perhaps we need to ensure they
are available, by installing them and setting the GUIX_LOCPATH
environment variable to its service?

-- 
Thanks,
Maxim